{#
/**
 * @file views-bootstrap-grid.html.twig
 * Default simple view template to display Bootstrap Grids.
 *
 *
 * - columns: Contains rows grouped by columns.
 * - rows: Contains a nested array of rows. Each row contains an array of
 *   columns.
 * - column_type: Contains a number (default Bootstrap grid system column type).
 *
 * @ingroup views_templates
 */
#}
{%
  set classes = [
    'views-view-grid',
    'row'
  ]
%}
{% set grouping_title_element = 'h3' %}
{% set grouping_title_element_classes = [] %}

{% block view %}
  {% block grouping_title %}
    {% if title %}
    <{{ grouping_title_element }}{% if grouping_title_element_classes %} class="{{ grouping_title_element_classes|join(' ') }}"{% endif %}>{{ title }}</{{ grouping_title_element }}>
    {% endif %}
  {% endblock %}
  {% block rows %}
    <div id="{{ id }}" {{ attributes.removeClass('grid').addClass(classes) }}>
      {% for row in rows %}
        {% block row %}
          <div{{ row.attributes }}>
            {{- row.content -}}
          </div>
        {% endblock row %}
      {% endfor %}
    </div>
  {% endblock rows %}
{% endblock view %}
